/// class PD.Manage.ModuleZone
/// using PD.Manage.Zone

PD.Manage.ModuleZone = PD.Manage.Zone.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onInit: function (e) {
        PD.context.get_global().get_events().subscribe("Module:Load", this.loadModule, this);
        this.get_children().add(new PD.Manage.ModuleZoneTabstrip());
        this.get_children().add(new PD.Manage.ModuleZoneContents());
    },

    template: function (e) {
        return "<div id='-pd-area-zone-mod'></div>";
    }

});